Bug 80167 - update and fix to port/games/childsplay
update and fix to port/games/childsplay
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2005-04-20 20:40 UTC by bruno
Modified: 2005-04-24 14:32 UTC (History)
0 users

See Also:

file.diff (22.99 KB, patch)
2005-04-20 20:40 UTC, bruno
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bruno 2005-04-20 20:40:21 UTC
	update of port/games/childsplay to new released version
	fix to PR port/79180 and obsoletes ports/79202
	also, as discussed and established many times with various port committer 
	(Kris Kennaway etc.): the pkg_plist is not broken or incomplete ! 
	it is the port libassetml that installs the files that fail to be removed at
	deinstall time ! it is libassetml that has to be fixed.

Fix: apply following patch to the current ports/games/childsplay (v. 0.71_1 )

How-To-Repeat: 	N/A
Comment 1 Florent Thoumie freebsd_committer 2005-04-20 23:13:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Take this one. 
I already have 2 PRs for this port, maybe I'll be able to close 
them all in one shot.
Comment 2 bruno 2005-04-21 01:55:42 UTC
yes, please close them all at once :-)
This is an update to the next version of childsplay.
it replaces port/79180 (which was an unclean patch) and obsoletes 
ports/79202 since the new version of childsplay already has the fix in
So, nuke 79180 and 79202 and apply this one. Thanks.
Comment 3 Florent Thoumie freebsd_committer 2005-04-22 16:29:32 UTC
Responsible Changed
From-To: flz->freebsd-ports-bugs

Return to the pool, I'll be afk for at least 2 weeks.
Comment 4 pav freebsd_committer 2005-04-24 14:31:46 UTC
State Changed
From-To: open->closed

Committed, thanks! 

(Plist problem fixed by changing PREFIX to /usr/X11R6 for childsplay to match 
libassetml's prefix)